### Method

# Gsk Transform matrix_2d

since: 4.20

#### Declaration [src]

    GskTransform*
    gsk_transform_matrix_2d (
      GskTransform* next,
      float xx,
      float yx,
      float xy,
      float yy,
      float dx,
      float dy
    )

#### Description [src]

Multiplies `next` with the matrix [ xx yx x0; xy yy y0; 0 0 1 ].

The result of calling `gsk_transform_to_2d()` on the returned `GskTransform` should match the input passed to this function.

This function consumes `next`. Use `gsk_transform_ref()` first if you want to keep it around.

Available since: 4.20

#### Parameters

`next`

  Type: `GskTransform`

  The next transform.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.

`xx`

  Type: `float`

  The xx member.

`yx`

  Type: `float`

  The yx member.

`xy`

  Type: `float`

  The xy member.

`yy`

  Type: `float`

  The yy member.

`dx`

  Type: `float`

  The x0 member.

`dy`

  Type: `float`

  The y0 member.

#### Return value

Type: `GskTransform`

The new transform.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.